Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.io
Class SaveDialog

    java.lang.Object
      ij.io.SaveDialog

public class SaveDialog
extends java.lang.Object

This class displays a dialog window from which the user can save a file.

Constructor Summary
`SaveDialog(java.lang.String title, java.lang.String defaultName, java.lang.String extension)` Displays a file save dialog with 'title' as the title, 'defaultName' as the initial file name, and 'extension' (e.g.
`SaveDialog(java.lang.String title, java.lang.String defaultDir, java.lang.String defaultName, java.lang.String extension)` Displays a file save dialog, using the specified default directory and file name and extension.

Method Summary
`java.lang.String` | `getDirectory()` Returns the selected directory.
`java.lang.String` | `getFileName()` Returns the selected file name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveDialog

    public SaveDialog(java.lang.String title,
                      java.lang.String defaultName,
                      java.lang.String extension)

  Displays a file save dialog with 'title' as the title, 'defaultName' as the initial file name, and 'extension' (e.g. ".tif") as the default extension.

### SaveDialog

    public SaveDialog(java.lang.String title,
                      java.lang.String defaultDir,
                      java.lang.String defaultName,
                      java.lang.String extension)

  Displays a file save dialog, using the specified default directory and file name and extension.

Method Detail

### getDirectory

    public java.lang.String getDirectory()

  Returns the selected directory.

### getFileName

    public java.lang.String getFileName()

  Returns the selected file name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD